using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFImgFileDetailMap : APTEntityBaseMap<T_PF_IMG_FILE_DETAIL>
	{
		public override void Configure(EntityTypeBuilder<T_PF_IMG_FILE_DETAIL> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_File).WithMany().HasForeignKey(t => t.FILE_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_ImgFile).WithMany(t => t.Nav_Details).
				HasForeignKey(t => t.IMG_FILE_ID).OnDelete(DeleteBehavior.Restrict);

		}
		 
	}
}
